Bug 809540 - Review Request: eclipselink - Eclipse Persistence Services Project
Review Request: eclipselink - Eclipse Persistence Services Project
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Marek Goldmann
Fedora Extras Quality Assurance
:
Depends On: 809536
Blocks: 836218
  Show dependency treegraph
 
Reported: 2012-04-03 11:36 EDT by gil cattaneo
Modified: 2012-07-26 18:26 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-26 18:26:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mgoldman: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description gil cattaneo 2012-04-03 11:36:31 EDT
Spec URL: http://gil.fedorapeople.org/eclipselink.spec
SRPM URL: http://gil.fedorapeople.org/eclipselink-2.3.2-1.fc16.src.rpm
Description: Eclipse Persistence Services Project, more commonly known as EclipseLink,
is a Java comprehensive persistence framework delivering a set of persistence
services based around standards. This lets you rapidly build applications
that combine the best aspects of object technology and the specific data
source.
.
EclipseLink was started by a donation of the full source code and
test suites of Oracle's TopLink product.
.
EclipseLink's services currently include object-relational with JPA,
object-XML binding in MOXy (with support for JAXB), a Service Data Objects
(SDO) implementation and support for another technologies like: Database Web
Services (DWS), XML-Relational (XRM) and Non-Relational (EIS via JCA).

depend on

https://bugzilla.redhat.com/show_bug.cgi?id=809536
https://bugzilla.redhat.com/show_bug.cgi?id=809539
Comment 1 gil cattaneo 2012-04-10 15:20:26 EDT
(In reply to comment #0)
> Spec URL: http://gil.fedorapeople.org/eclipselink.spec
> SRPM URL: http://gil.fedorapeople.org/eclipselink-2.3.2-1.fc16.src.rpm
> Description: Eclipse Persistence Services Project, more commonly known as
> EclipseLink,
> is a Java comprehensive persistence framework delivering a set of persistence
> services based around standards. This lets you rapidly build applications
> that combine the best aspects of object technology and the specific data
> source.
> .
> EclipseLink was started by a donation of the full source code and
> test suites of Oracle's TopLink product.
> .
> EclipseLink's services currently include object-relational with JPA,
> object-XML binding in MOXy (with support for JAXB), a Service Data Objects
> (SDO) implementation and support for another technologies like: Database Web
> Services (DWS), XML-Relational (XRM) and Non-Relational (EIS via JCA).
> 
> depend on
> 
> https://bugzilla.redhat.com/show_bug.cgi?id=809536
https://bugzilla.redhat.com/show_bug.cgi?id=809532
Comment 2 gil cattaneo 2012-07-11 13:04:42 EDT
Spec URL: http://gil.fedorapeople.org/eclipselink/1/eclipselink.spec
SRPM URL: http://gil.fedorapeople.org/eclipselink/1/eclipselink-2.3.2-1.fc16.src.rpm
- removed org.osgi.enterprise references
- add BR tuscany-sdo-java
Comment 3 Marek Goldmann 2012-07-12 09:15:54 EDT
I'll take it.
Comment 4 Marek Goldmann 2012-07-16 06:55:22 EDT
Package Review
==============

Key:
- = N/A
x = Check
! = Problem
? = Not evaluated

=== REQUIRED ITEMS ===
[!]  Rpmlint output:

0 packages and 1 specfiles checked; 0 errors, 0 warnings.
eclipselink.src: W: file-size-mismatch org.eclipse.persistence.jpa-2.3.2.pom = 2196, http://maven.eclipse.org/nexus/content/repositories/build/org/eclipse/persistence/org.eclipse.persistence.jpa/2.3.2/org.eclipse.persistence.jpa-2.3.2.pom = 2117
eclipselink.src: W: file-size-mismatch org.eclipse.persistence.core-2.3.2.pom = 2221, http://maven.eclipse.org/nexus/content/repositories/build/org/eclipse/persistence/org.eclipse.persistence.core/2.3.2/org.eclipse.persistence.core-2.3.2.pom = 2120
1 packages and 0 specfiles checked; 0 errors, 2 warnings.
2 packages and 0 specfiles checked; 0 errors, 0 warnings.

See issue #1.

[x]  Package is named according to the Package Naming Guidelines[1].
[x]  Spec file name must match the base package name, in the format %{name}.spec.
[x]  Package meets the Packaging Guidelines[2].
[x]  Package successfully compiles and builds into binary rpms.
[x]  Buildroot definition is not present
[x]  Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines[3,4].
[x]  License field in the package spec file matches the actual license.
License type: EPL and BSD
[x]  If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
[x]  All independent sub-packages have license of their own
[x]  Spec file is legible and written in American English.
[x]  Sources used to build the package matches the upstream source, as provided in the spec URL.
MD5SUM this package    : f741f3a4a4d9473ad28e8185c140c5be
MD5SUM upstream package: f741f3a4a4d9473ad28e8185c140c5be
[x]  All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines[5].
[x]  Package must own all directories that it creates or must require other packages for directories it uses.
[x]  Package does not contain duplicates in %files.
[x]  File sections do not contain %defattr(-,root,root,-) unless changed with good reason
[x]  Permissions on files are set properly.
[x]  Package does NOT have a %clean section which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT). (not needed anymore)
[x]  Package consistently uses macros (no %{buildroot} and $RPM_BUILD_ROOT mixing)
[x]  Package contains code, or permissable content.
[x]  Fully versioned dependency in subpackages, if present.
[-]  Package contains a properly installed %{name}.desktop file if it is a GUI application.
[x]  Package does not own files or directories owned by other packages.
[x]  Javadoc documentation files are generated and included in -javadoc subpackage
[x]  Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlinks)
[x]  Packages have proper BuildRequires/Requires on jpackage-utils
[x]  Javadoc subpackages have Require: jpackage-utils
[x]  Package uses %global not %define
[-]  If package uses tarball from VCS include comment how to re-create that tarball (svn export URL, git clone URL, ...)
[-]  If source tarball includes bundled jar/class files these need to be removed prior to building
[x]  All filenames in rpm packages must be valid UTF-8.
[x]  Jar files are installed to %{_javadir}/%{name}.jar (see [6] for details)
[x]  If package contains pom.xml files install it (including depmaps) even when building with ant
[x]  pom files has correct add_maven_depmap

=== Maven ===
[x]  Use %{_mavenpomdir} macro for placing pom files instead of %{_datadir}/maven2/poms
[-]  If package uses "-Dmaven.test.skip=true" explain why it was needed in a comment
[-]  If package uses custom depmap "-Dmaven.local.depmap.file=*" explain why it's needed in a comment
[x]  Package DOES NOT use %update_maven_depmap in %post/%postun
[x]  Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-utils for %update_maven_depmap macro

=== Other suggestions ===
[x]  If possible use upstream build method (maven/ant/javac)
[x]  Avoid having BuildRequires on exact NVR unless necessary
[x]  Package has BuildArch: noarch (if possible)
[!]  Latest version is packaged.

Version 2.4.0 was released.

[x]  Reviewer should test that the package builds in mock.
Tested on:

http://koji.fedoraproject.org/koji/taskinfo?taskID=4243182

=== Issues ===
1. Please make sure the two pom files are identical with upstream.
2. New version was released, consider packaging 2.4.0.
Comment 5 gil cattaneo 2012-07-16 07:24:12 EDT
Spec URL: http://gil.fedorapeople.org/eclipselink/2/eclipselink.spec
SRPM URL: http://gil.fedorapeople.org/eclipselink/2/eclipselink-2.3.2-1.fc16.src.rpm
> 1. Please make sure the two pom files are identical with upstream.
done
> 2. New version was released, consider packaging 2.4.0.
for the 2.4.0 dev release is require hibernate-jpa-2.1-api (https://github.com/hibernate/hibernate-jpa-api Draft-6 tag). unavailable at the moment
Comment 6 Marek Goldmann 2012-07-16 07:50:33 EDT
OK, looks good now!

================
*** APPROVED ***
================
Comment 7 gil cattaneo 2012-07-16 18:42:54 EDT
New Package SCM Request
=======================
Package Name: eclipselink
Short Description: Eclipse Persistence Services Project
Owners: gil
Branches: f17
InitialCC: java-sig
Comment 8 Gwyn Ciesla 2012-07-17 23:16:59 EDT
Git done (by process-git-requests).
Comment 9 Fedora Update System 2012-07-18 09:24:44 EDT
eclipselink-2.3.2-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/eclipselink-2.3.2-1.fc17
Comment 10 Fedora Update System 2012-07-19 05:03:33 EDT
eclipselink-2.3.2-1.fc17 has been pushed to the Fedora 17 testing repository.
Comment 11 Fedora Update System 2012-07-26 18:26:00 EDT
eclipselink-2.3.2-1.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.